commit 835e7b3c62590574e529558493c50fbfb5a85d6c
Author: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date:   Tue Apr 14 12:41:11 2015 -0300

    show prev in errcontext

diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index 2580996..36dc422 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -10389,7 +10389,10 @@ rm_redo_error_callback(void *arg)
 	initStringInfo(&buf);
 	xlog_outdesc(&buf, record);
 
-	errcontext("xlog redo %s", buf.data);
+	errcontext("xlog redo (prev %X/%X) %s",
+			   (uint32) (XLogRecGetPrev(record) >> 32),
+			   (uint32) (XLogRecGetPrev(record)),
+			   buf.data);
 
 	pfree(buf.data);
 }
